Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in chromium
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in chromium
ID: openSUSE-SU-2020:0519-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.1
Datum: Mi, 15. April 2020, 10:49
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6438
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6456
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6440
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6441
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6450
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6454
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6434
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6439
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6437
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6444
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6455
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6433
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6423
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6446
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6432
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6436
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6445
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6435
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6448
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6451
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6431
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6452
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6443
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6447
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6430
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-6442
Applikationen: Chromium

Originalnachricht

   openSUSE Security Update: Security update for chromium
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0519-1
Rating: important
References: #1167465 #1168421 #1168911
Cross-References: CVE-2020-6423 CVE-2020-6430 CVE-2020-6431
CVE-2020-6432 CVE-2020-6433 CVE-2020-6434
CVE-2020-6435 CVE-2020-6436 CVE-2020-6437
CVE-2020-6438 CVE-2020-6439 CVE-2020-6440
CVE-2020-6441 CVE-2020-6442 CVE-2020-6443
CVE-2020-6444 CVE-2020-6445 CVE-2020-6446
CVE-2020-6447 CVE-2020-6448 CVE-2020-6450
CVE-2020-6451 CVE-2020-6452 CVE-2020-6454
CVE-2020-6455 CVE-2020-6456
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that fixes 26 vulnerabilities is now available.

Description:

This update for chromium fixes the following issues:

Chromium was updated to 81.0.4044.92 boo#1168911:

* CVE-2020-6454: Use after free in extensions
* CVE-2020-6423: Use after free in audio
* CVE-2020-6455: Out of bounds read in WebSQL
* CVE-2020-6430: Type Confusion in V8
* CVE-2020-6456: Insufficient validation of untrusted input in clipboard
* CVE-2020-6431: Insufficient policy enforcement in full screen
* CVE-2020-6432: Insufficient policy enforcement in navigations
* CVE-2020-6433: Insufficient policy enforcement in extensions
* CVE-2020-6434: Use after free in devtools
* CVE-2020-6435: Insufficient policy enforcement in extensions
* CVE-2020-6436: Use after free in window management
* CVE-2020-6437: Inappropriate implementation in WebView
* CVE-2020-6438: Insufficient policy enforcement in extensions
* CVE-2020-6439: Insufficient policy enforcement in navigations
* CVE-2020-6440: Inappropriate implementation in extensions
* CVE-2020-6441: Insufficient policy enforcement in omnibox
* CVE-2020-6442: Inappropriate implementation in cache
* CVE-2020-6443: Insufficient data validation in developer tools
* CVE-2020-6444: Uninitialized Use in WebRTC
* CVE-2020-6445: Insufficient policy enforcement in trusted types
* CVE-2020-6446: Insufficient policy enforcement in trusted types
* CVE-2020-6447: Inappropriate implementation in developer tools
* CVE-2020-6448: Use after free in V8

Chromium was updated to 80.0.3987.162 boo#1168421:

* CVE-2020-6450: Use after free in WebAudio.
* CVE-2020-6451: Use after free in WebAudio.
* CVE-2020-6452: Heap buffer overflow in media.

- Use a symbolic icon for GNOME


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-519=1



Package List:

- openSUSE Leap 15.1 (x86_64):

chromedriver-81.0.4044.92-lp151.2.77.1
chromedriver-debuginfo-81.0.4044.92-lp151.2.77.1
chromium-81.0.4044.92-lp151.2.77.1
chromium-debuginfo-81.0.4044.92-lp151.2.77.1
chromium-debugsource-81.0.4044.92-lp151.2.77.1


References:

https://www.suse.com/security/cve/CVE-2020-6423.html
https://www.suse.com/security/cve/CVE-2020-6430.html
https://www.suse.com/security/cve/CVE-2020-6431.html
https://www.suse.com/security/cve/CVE-2020-6432.html
https://www.suse.com/security/cve/CVE-2020-6433.html
https://www.suse.com/security/cve/CVE-2020-6434.html
https://www.suse.com/security/cve/CVE-2020-6435.html
https://www.suse.com/security/cve/CVE-2020-6436.html
https://www.suse.com/security/cve/CVE-2020-6437.html
https://www.suse.com/security/cve/CVE-2020-6438.html
https://www.suse.com/security/cve/CVE-2020-6439.html
https://www.suse.com/security/cve/CVE-2020-6440.html
https://www.suse.com/security/cve/CVE-2020-6441.html
https://www.suse.com/security/cve/CVE-2020-6442.html
https://www.suse.com/security/cve/CVE-2020-6443.html
https://www.suse.com/security/cve/CVE-2020-6444.html
https://www.suse.com/security/cve/CVE-2020-6445.html
https://www.suse.com/security/cve/CVE-2020-6446.html
https://www.suse.com/security/cve/CVE-2020-6447.html
https://www.suse.com/security/cve/CVE-2020-6448.html
https://www.suse.com/security/cve/CVE-2020-6450.html
https://www.suse.com/security/cve/CVE-2020-6451.html
https://www.suse.com/security/cve/CVE-2020-6452.html
https://www.suse.com/security/cve/CVE-2020-6454.html
https://www.suse.com/security/cve/CVE-2020-6455.html
https://www.suse.com/security/cve/CVE-2020-6456.html
https://bugzilla.suse.com/1167465
https://bugzilla.suse.com/1168421
https://bugzilla.suse.com/1168911

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung